# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IElementPropertyDefn

Packages that use IElementPropertyDefn
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.

## Uses of IElementPropertyDefn in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IElementPropertyDefn
Modifier and Type
Method
Description
`IElementPropertyDefn`
ComplexValueHandle.`getPropertyDefn()`
`IElementPropertyDefn`
DesignElementHandle.`getPropertyDefn(String propName)`
Gets the property data for either a system-defined or user-defined property.
`IElementPropertyDefn`
GroupPropertyHandle.`getPropertyDefn()`
Return the property definition.
`IElementPropertyDefn`
MemberHandle.`getPropertyDefn()`
`IElementPropertyDefn`
PropertyHandleImpl.`getPropertyDefn()`
`IElementPropertyDefn`
StructureHandle.`getPropertyDefn()`
`abstract IElementPropertyDefn`
ValueHandle.`getPropertyDefn()`
Gets the property definition.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type IElementPropertyDefn
Modifier and Type
Method
Description
`List<IElementPropertyDefn>`
DesignElementHandle.`getMethods()`
Returns the methods defined on the element definition.

## Uses of IElementPropertyDefn in org.eclipse.birt.report.model.api.core

Classes in org.eclipse.birt.report.model.api.core that implement IElementPropertyDefn
Modifier and Type
Class
Description
`final class`
`UserPropertyDefn`
Represents a user-defined property.

## Uses of IElementPropertyDefn in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return IElementPropertyDefn
Modifier and Type
Method
Description
`IElementPropertyDefn`
IElementDefn.`getProperty(String propName)`
Gets a property definition given a property name.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IElementPropertyDefn
Modifier and Type
Method
Description
`List<IElementPropertyDefn>`
IElementDefn.`getContents()`
Returns the property definitions for this element that can hold other elements.
`List<IElementPropertyDefn>`
IElementDefn.`getExpressions()`
Returns the expression property definition list of this element definition and parent definition.
`List<IElementPropertyDefn>`
IElementDefn.`getLocalExpressions()`
Returns the expression property definition list of this element definition.
`List<IElementPropertyDefn>`
IElementDefn.`getLocalMethods()`
Returns the method definition list of this element definition.
`List<IElementPropertyDefn>`
IElementDefn.`getLocalProperties()`
Returns properties definitions as a list.
`List<IElementPropertyDefn>`
IElementDefn.`getMethods()`
Returns the method definition list of this element definition and parent definition.
`List<IElementPropertyDefn>`
IElementDefn.`getProperties()`
Returns the properties defined on this element.

## Uses of IElementPropertyDefn in org.eclipse.birt.report.model.metadata

Classes in org.eclipse.birt.report.model.metadata that implement IElementPropertyDefn
Modifier and Type
Class
Description
`class`
`org.eclipse.birt.report.model.metadata.ElementPropertyDefn`
Meta-data information for a property.